#version 120

uniform sampler2D texture;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;	
	vec4 pixel = texture2D(texture, texcoord);
	vec4 pixelFinal = pixel;


        pixelFinal.r = pixelFinal.r / 2 ;
        pixelFinal.g = pixelFinal.g / 2 ;
        pixelFinal.b = pixelFinal.b / 2 ;

        pixelFinal.a = pixelFinal.a * 8 ;

	gl_FragColor = pixelFinal;
}

