#version 120

uniform sampler2D texture;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;	
	vec4 pixel = texture2D(texture, texcoord);
	vec4 pixelFinal = pixel;
	pixelFinal.a = pixelFinal.a/6;
        pixelFinal.r = pixelFinal.r*4;
        pixelFinal.g = pixelFinal.g*4;
        pixelFinal.b = pixelFinal.b*4;

	gl_FragColor = pixelFinal;
}

