#version 120

uniform sampler2D texture;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;	
	vec4 pixel = texture2D(texture, texcoord);
	vec4 pixelFinal = pixel;


        pixelFinal.r = pixelFinal.r*5;
        pixelFinal.g = pixelFinal.g/8;
        pixelFinal.b = pixelFinal.b/8;
        pixelFinal.a = pixelFinal.a/2;

	gl_FragColor = pixelFinal.rgba;
}

