#version 120

uniform sampler2D texture;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;	
	vec4 pixel = texture2D(texture, texcoord);
	vec4 pixelFinal = pixel;

        pixelFinal.r = pixelFinal.r*0;
        pixelFinal.g = pixelFinal.g*3;
        pixelFinal.b = pixelFinal.b*4;
        pixelFinal.a = pixelFinal.a/1.5;

	gl_FragColor = pixelFinal.rgba;
}
