#version 120

uniform sampler2D texture;

void main()
{
    // récupère le pixel dans la texture
    vec2 texcoord = gl_TexCoord[0].xy;
    
    //Déterminer le vecteur depuis le centre de l'écran
    vec2 vecteur = texcoord - vec2(0.5,0.5);
    float norme = length(vecteur);
    vecteur = normalize(vecteur);
    
    //effet d'arrondi avec asinus, qui "tire" l'UV vers le centre
    vec2 final = vec2(0.5,0.5) + vecteur * asin(asin(norme));
    
    //Faudrait tester si texcoord est entre 0 et 1 pour X et Y afin d'afficher la scène, et sinon afficher du noir, ou un contour de télé
    
    //Affichage bombé
    vec4 pixel = texture2D(texture, final );

    gl_FragColor = pixel;
}