#version 120

uniform sampler2D texture;

void main()
{
    vec2 texcoord = gl_TexCoord[0].xy;
    vec4 pixel = texture2D(texture, texcoord);

    float gris = 0.299f * pixel.r + 0.587f * pixel.g + 0.114f * pixel.b;
    
    if (gris > 0.35)
    {
        gl_FragColor.rgb = vec3(1);
    }
    else
    {
        gl_FragColor.rgb = vec3(0);
    }


    gl_FragColor.a = 0.5;
}

