#version 120

uniform sampler2D texture;

void main()
{
    vec2 texcoord = gl_TexCoord[0].xy;
    vec4 pixel = texture2D(texture, texcoord);

    pixel.r = pixel.r * 2;
    pixel.b = pixel.b / 2;
    pixel.g = pixel.g / 2;
    gl_FragColor.a = 1;

    gl_FragColor = pixel;
}

