#version 120

uniform sampler2D texture;

void main()
{
    vec2 texcoord = gl_TexCoord[0].xy;  
    vec4 pixel = texture2D(texture, texcoord);

    float colorPercent = 0.1f;
    pixel.r = (1-colorPercent) + pixel.r * colorPercent;
    pixel.g = (1-colorPercent) + pixel.g * colorPercent;
    pixel.b = (1-colorPercent) + pixel.b * colorPercent;

    gl_FragColor = pixel;
}