#version 120

uniform sampler2D texture;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;	
	vec4 pixel = texture2D(texture, texcoord);
	vec4 pixelFinal = pixel;
	pixelFinal.a = pixelFinal.a;
	pixelFinal.r = 0.15;
        pixelFinal.g = 0.65;
	pixelFinal.b = 0.84 ;

	gl_FragColor = pixelFinal;
}
